en:
  # Text direction: Left-to-Right (ltr) or Right-to-Left (rtl)
  direction: ltr
  date:
    formats:
      # Use the strftime parameters for formats.
      # When no format has been given, it uses default.
      # You can provide other formats here if you like!
      default: "%m/%d/%Y"
      short: "%b %d"
      long: "%B %d, %Y"

    day_names: [Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday]
    abbr_day_names: [Sun, Mon, Tue, Wed, Thu, Fri, Sat]

    # Don't forget the nil at the beginning; there's no such thing as a 0th month
    month_names: [~, January, February, March, April, May, June, July, August, September, October, November, December]
    abbr_month_names: [~, Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec]
    # Used in date_select and datime_select.
    order:
      - :year
      - :month
      - :day

  time:
    formats:
      default: "%m/%d/%Y %I:%M %p"
      time: "%I:%M %p"
      short: "%d %b %H:%M"
      long: "%B %d, %Y %H:%M"
    am: "am"
    pm: "pm"

  datetime:
    distance_in_words:
      half_a_minute: "half a minute"
      less_than_x_seconds:
        one:   "less than 1 second"
        other: "less than %{count} seconds"
      x_seconds:
        one:   "1 second"
        other: "%{count} seconds"
      less_than_x_minutes:
        one:   "less than a minute"
        other: "less than %{count} minutes"
      x_minutes:
        one:   "1 minute"
        other: "%{count} minutes"
      about_x_hours:
        one:   "about 1 hour"
        other: "about %{count} hours"
      x_hours:
        one:   "1 hour"
        other: "%{count} hours"
      x_days:
        one:   "1 day"
        other: "%{count} days"
      about_x_months:
        one:   "about 1 month"
        other: "about %{count} months"
      x_months:
        one:   "1 month"
        other: "%{count} months"
      about_x_years:
        one:   "about 1 year"
        other: "about %{count} years"
      over_x_years:
        one:   "over 1 year"
        other: "over %{count} years"
      almost_x_years:
        one:   "almost 1 year"
        other: "almost %{count} years"

  errors:
      messages:
        email_verifier:
          email_not_real: must point to a real mail account
          out_of_mail_server: appears to point to dead mail server
          no_mail_server: appears to point to domain which doesn't handle e-mail
          failure: could not be checked if is real
          exception: could not be sent
  number:
    format:
      separator: "."
      delimiter: ""
      precision: 3

    human:
      format:
        delimiter: ""
        precision: 3
      storage_units:
        format: "%n %u"
        units:
          byte:
            one: "Byte"
            other: "Bytes"
          kb: "KB"
          mb: "MB"
          gb: "GB"
          tb: "TB"

# Used in array.to_sentence.
  support:
    array:
      sentence_connector: "and"
      skip_last_comma: false

  activerecord:
    errors:
      template:
        header:
          one:    "1 error prohibited this %{model} from being saved"
          other:  "%{count} errors prohibited this %{model} from being saved"
      messages:
        record_invalid: "validate error: %{errors}"
        inclusion: "is not included in the list"
        exclusion: "is reserved"
        invalid: "is invalid"
        confirmation: "doesn't match confirmation"
        accepted: "must be accepted"
        empty: "can't be empty"
        blank: "can't be blank"
        too_long: "is too long (maximum is %{count} characters)"
        too_short: "is too short (minimum is %{count} characters)"
        wrong_length: "is the wrong length (should be %{count} characters)"
        taken: "has already been taken"
        not_a_number: "is not a number"
        not_a_date: "is not a valid date"
        greater_than: "must be greater than %{count}"
        greater_than_or_equal_to: "must be greater than or equal to %{count}"
        equal_to: "must be equal to %{count}"
        less_than: "must be less than %{count}"
        less_than_or_equal_to: "must be less than or equal to %{count}"
        odd: "must be odd"
        even: "must be even"
        greater_than_start_date: "must be greater than start date"
        not_same_project: "doesn't belong to the same project"
        circular_dependency: "This relation would create a circular dependency"
        cant_link_an_issue_with_a_descendant: "An issue cannot be linked to one of its subtasks"


  general_text_No: 'No'
  general_text_Yes: 'Yes'
  general_text_no: 'no'
  general_text_yes: 'yes'
  general_lang_name: 'English'
  general_csv_separator: ','
  general_csv_decimal_separator: '.'
  general_csv_encoding: ISO-8859-1
  general_pdf_encoding: UTF-8
  general_first_day_of_week: '7'

  actionview_instancetag_blank_option: Please select
  
  #
  #  Trustie公共标签
  #
  #  
  #   
  label_user: User
  label_project: Project
  label_issue: Issue
  label_requirement: Calls
  label_forum: Forum
  label_contest: Contest
  
  
  
  label_issue_plural: Issues Tracking
  label_project_plural: Projects
  label_user_plural: Users
  field_filename: File
  
  
  field_description: Description
  
  label_loading: Loading...
  
  label_create_time: Created at  
  label_update_time: Update at
 
  label_reply: Reply 

  label_field_correct: correct input
  label_title_blank: Title cannot be blank!
  label_title_long: The title should be less than 60 characters
  label_descripition_blank: Description cannot be blank!
  label_subject_empty: Subject cannot be blank!

 
  label_anonymous: Anonymous     #作业和留言 模块
 
  text_are_you_sure: "Are you sure?"  #js 提示 
  text_are_you_sure_out: "Are you sure to quit from this course?"
  text_are_you_sure_out_group: "Are you sure to quit from this group?"
  text_are_you_sure_all: "Are you sure to delete all files?"



  label_no_data: No data to display
  # 项目、课程、用户公用
  label_settings: Settings
  label_information_plural: Information  
  label_member_plural: Members

  #
  #  Trustie按钮类
  #
  #  
  #  
  label_button_ok: Ok
  button_save: Save
  button_back: Back
  button_cancel: Cancel
  label_submit: Submit  
  button_project_tags_add: Add
  button_download: Download
  button_more: "More»"
  button_delete: Delete   
  button_unfollow: Unfollow
  button_follow: Follow
  button_browse: Browse
  button_create: Create
  label_preview: Preview
  button_update: Update
  button_copy: Copy  
  button_check_all: Check all
  button_uncheck_all: Uncheck all 
 
  #
  #  Trustie上传头像模块
  #
  #  
  # 
  button_upload_photo: Upload photo
  button_delete_file: Delete
  error_attachment_too_big: "Cannot be uploaded when exceeding (%{max_size})"
  error_pic_type: "Only supports the following image formats: "


  #
  #  Trustie标签模块
  #
  #  标签
  # 
  label_tag: Tag
  label_tags_no: no tags now！
  label_more_tags: More
  label_add_tag: "+ Add tags"
  
  label_tags_count: "Total number of tags"
  
  label_tags_selected: Selected Tags
  label_tags_related: Related Tags
  label_tags_search_result: Search Results
  label_tags_numbers: "Tags"
  
  label_tags_call: Calls
  label_tags_contest: Competitions
  label_tags_opensource: Projects
  
  label_tags_all_objects: All objects
   
  label_tags_bid: Name
  label_tags_bid_description: Description
  
  label_tags_course_name: Title  
  label_new_course_description: Description
    
  label_tags_issue: Issue
  label_tags_issue_description: Description
  
  label_tags_project_name: "Project name"
  label_tags_project_description: "Description"
  
  label_tags_user_mail: "User E-mail："
  label_tags_user_name: "User Name："
  
  label_tags_contest_name: Name
  label_tags_contest_description: Description
  
  label_tags_forum_description: Description
  label_tags_forum: Forum
  
  label_attachment: Files
  attachment: 
    category: "From"
    download_num: "Downloads"
    size: "Size"
    sharer: "Sharer"
    upload_time: "Upload time"
  
  
  #
  #  项目托管平台主页 
  #
  #  用户动态栏
  #
  lable_user_active: Recent Activities
  user:
    active:
      published: released
      uploaded: uploaded
      updated: updated
      unknow: unknown content      
        

  field_user_active_news: ' news'
  field_user_active_issue: ' issue'
  field_user_active_attachment: ' attachment'
  field_user_active_message: ' message'
  field_user_active_reply: ' reply'
  field_user_active_bid: ' work'
  field_user_active_memo: ' memo'
  field_user_active_document: ' document'
  field_user_active_changeset: ' repository'
  field_user_active_issue_note: ' issue-note'
  
  field_updated_on: Updated on
  field_time_ago: ago
  field_active_reply: "Reply("
  #     用户动态中event.title和event.description
  #     通过act_as_event方法的option配置
  #     "#{o.tracker.name} ##{o.id} (#{o.status}): #{o.subject}"
  #     "缺陷 #1869 (已解决):subject"
  #     tracker.name和status在数据库中以中文字段形式存储
 
   #
  #  项目托管平台主页 
  #
  #  贴吧动态栏
  #
  lable_bar_active: Feedbacks
  label_my_question: Ask
  label_my_feedback: Comment
  label_updated_time: "Updated %{value} ago"
  label_question_sponsor: Created by
  label_final_reply: Updated by   
    

  #
  #  项目托管平台
  #
  #  意见反馈
  # 
  label_feedback: Feedback
  label_feedback_tips: "Anything you want to say， roar it here ~~"
  label_technical_support: "Support: "
  label_feedback_success: "Your comments have been sent to the public bar in the home page, thanks for your support!"
  label_feedback_value: "User feedback"

  #
  #  
  #
  #  评论
  # 
  label_find_all_comments: view all comments
  label_comments_count: 
    zero: "(%{count} comment)"
    one: "(%{count} comment)"
    other: "(%{count} comments)"   




  #
  #  Trustie 
  #
  #  新闻
  # 
  label_news: News
  label_news_description: "Track the latest activities of projects, and obtain the latest information"
  label_news_title_tips: "(less than 60 characters)"
 
  #
  #  
  #
  #  导出
  # 
  description_all_columns: All Columns
  button_export: Export
  label_export_options: "%{export_format} export options"
  label_changes_details: Details of all changes
  
 
  #
  #  
  #
  #  顶和踩
  # 
  label_issue_praise: Good question，praise！
  label_issue_tread: Poor question，tread！
  label_issue_praise_over: Praised over！
  label_issue_tread_over: Treaded over！
  label_issue_appraise_over: Appraised over！
  label_issue_not_praise_over: Cannot tread yourself~
  label_issue_not_treed_over: Cannot praise yourself~
 
 
 
  #
  #  Trustie
  #
  #  日志
  # 
  label_log_detail: "日志详情"
  label_log_delete_log: "删除日志"
  label_log_access_analysis: "访问统计"
  label_log_time_analysis: "耗时分析"
  label_log_refresh: "刷新"
  label_log_key:  "关键字："
  label_log_time: "时间："
  label_log_delete_confirm: "确认清除该天日志内容?"
  label_log_access_count: "访问次数"
  label_log_url: "URL路径"
  label_log_ip: "访问IP"
  label_log_access_time: "访问时间"
  label_log_access_controller_action: "模块路径"
  label_log_response_time: "响应时间"
  label_log_views_time: "页面渲染时间"
  label_log_views_time_percent: "页面渲染时间百分比"
  label_log_active_record_time: "AR响应时间"
  label_log_active_record_time_percent: "AR响应时间百分比"
  views:
      pagination:
        first: "&laquo; First"
        last: "Last &raquo;"
        previous: "&laquo; Previous"
        next: "Next &raquo;"
        truncate: "..."  
 
